%define name	anthill
%define version	0.2.4
%define release	2mdk
%define languages de es fi fr il nl pl ru zh


Summary:	Bug tracking database system written in PHP
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://anthill.vmlinuz.ca/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-config.diff.bz2
Requires:	webserver mysqlserver php-common mod_php php-mysql
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Anthill is a bug tracking database system written in PHP. It
provides the standard bug tracking features such as: user logins,
summary reports, submitting bugs, querying bugs, various severity
and status levels. It also provides some unique features, such as
a template system, and multi-lingual support. 

%prep

%setup -q
%patch0 -p1

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/%{name}/images
install -d %{buildroot}/var/www/html/%{name}/include

install -m0644 html/*.php %{buildroot}/var/www/html/%{name}/
install -m0644 html/*.css %{buildroot}/var/www/html/%{name}/
install -m0644 html/images/*.png %{buildroot}/var/www/html/%{name}/images/
install -m0644 html/images/*.gif %{buildroot}/var/www/html/%{name}/images/
install -m0644 include/.htaccess %{buildroot}/var/www/html/%{name}/include/
install -m0644 include/*.php %{buildroot}/var/www/html/%{name}/include/

for i in %languages; do
    install -d %{buildroot}/var/www/html/%{name}/backend/language/$i/LC_MESSAGES
    install -m0644 html/backend/language/$i/LC_MESSAGES/* \
	%{buildroot}/var/www/html/%{name}/backend/language/$i/LC_MESSAGES/
done

install -m0644 html/backend/language/Anthill.pot %{buildroot}/var/www/html/%{name}/backend/language/

install -d %{buildroot}/var/www/html/%{name}/backend/template/blue
install -d %{buildroot}/var/www/html/%{name}/backend/template/default

install -m0644 html/backend/template/README.themes %{buildroot}/var/www/html/%{name}/backend/template/
install -m0644 html/backend/template/blue/* %{buildroot}/var/www/html/%{name}/backend/template/blue/
install -m0644 html/backend/template/default/* %{buildroot}/var/www/html/%{name}/backend/template/default

install -d %{buildroot}/var/www/html/%{name}/shadow
install -d %{buildroot}/var/www/html/%{name}/tmp
install -d %{buildroot}/var/www/html/%{name}/gpg
install -d %{buildroot}/var/www/html/%{name}/attachments

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc etc/* contrib CHANGES README README.html THANKS TODO 
%config(noreplace) %attr(0644,root,root) /var/www/html/%{name}/include.php
%config(noreplace) %attr(0644,root,root) /var/www/html/%{name}/include/config.inc.php
%dir %attr(0777,apache,apache) /var/www/html/%{name}/shadow
%dir %attr(0777,apache,apache) /var/www/html/%{name}/tmp
%dir %attr(0777,apache,apache) /var/www/html/%{name}/gpg
%dir %attr(0777,apache,apache) /var/www/html/%{name}/attachments
/var/www/html/%{name}

%changelog
* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-2mdk
- arrgh!, forgot about some crucial dirs...

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-1mdk
- initial cooker contrib
